        $(document).ready(function () {
            // Function to handle the view toggle
            $('.view-toggle button').click(function () {
                // Remove active class from all buttons
                $('.view-toggle button').removeClass('active');

                // Add active class to the clicked button
                $(this).addClass('active');

                // Check which button was clicked and toggle the class on the gallery-list section
                if ($(this).hasClass('tile-view')) {
                    $('.gallery-list').removeClass('list-toggle').addClass('tile-toggle');
                } else if ($(this).hasClass('list-view')) {
                    $('.gallery-list').removeClass('tile-toggle').addClass('list-toggle');
                }
            });
        });

        $(document).ready(function () {
            $('.filter-checkbox-container').each(function () {
                var container = $(this);
                var children = container.children('.input-container');

                if (children.length > 5) {
                    // Calculate the height of the first 5 children
                    var height = 0;
                    children.slice(0, 5).each(function () {
                        height += $(this).outerHeight(true);
                    });

                    // Set the height of the container
                    container.height(height);

                    // Initialize the custom scrollbar
                    container.mCustomScrollbar({
                        theme: "minimal"
                    });
                }
            });
        });